import { Repository } from 'typeorm';
import { NewsEntity } from './news.entity';
export declare class NewsService {
    private readonly repo;
    constructor(repo: Repository<NewsEntity>);
    findAll(): Promise<NewsEntity[]>;
    findOne(id: string): Promise<NewsEntity | null>;
    create(data: Partial<NewsEntity>): Promise<NewsEntity>;
    update(id: string, data: Partial<NewsEntity>): Promise<NewsEntity | null>;
    remove(id: string): Promise<import("typeorm").DeleteResult>;
}
